#!/bin/bash -uex
: ${CTI_REPO:="https://github.com/openstack-charmers/charm-test-infra"}  # WIP
: ${CTI_REPO_BRANCH:="master"}
: ${CTI_CODIR:="${HOME}/tools/charm-test-infra"}

## Gather tools
rm -rf $CTI_CODIR
git clone --depth 1 $CTI_REPO    $CTI_CODIR    -b $CTI_REPO_BRANCH

## Bootstrap controller and add model for OSCI on ServerStack
cd $CTI_CODIR
. examples/env-larger-controller
time ./juju-openstack-controller-example.sh

juju switch osci-serverstack:osci
juju status --color
juju controllers
juju models

