#!/bin/bash -uex
echo $0

. config/env-common

f_dst="${JENKINS_HOME}"
f_tmp="${U_HOME}"
base_src="assets"

for f_src in osci-repo-boot.sh osci-repo-boot-clean.sh; do
    stat -t ${base_src}/${f_src}
    for unit in $UNITS; do
        juju scp ${base_src}/${f_src} ${unit}:${f_tmp}
        juju ssh ${unit} "sudo cp -fv ${f_tmp}/${f_src} ${f_dst} &&\
            sudo chown jenkins:jenkins ${f_dst} &&\
            sudo chmod 750 ${f_dst} &&\
            sudo chown root:root ${f_dst}/${f_src} &&\
            sudo chmod 775 ${f_dst}/${f_src}"
    done
done
