#!/bin/bash -ex
echo $0

# Ensure directories are created; Install juju packages

. config/env-common

mkdirs="sudo mkdir -vp ${JENKINS_HOME}/tools &&\
        sudo mkdir -vp ${JENKINS_HOME}/.config/tarmac &&\
        sudo mkdir -vp ${FILE_TRIGGER_DIR} &&\
        sudo chown jenkins:jenkins -R ${JENKINS_HOME} &&\
        sudo mkdir -vp /mnt/jenkins-ssh-artifact-storage &&\
        sudo chown jenkins:jenkins -R /mnt/jenkins-ssh-artifact-storage"

pkgs="juju charm"
cmd="sudo add-apt-repository ppa:juju/stable -y && sudo apt-get update -y && sudo apt-get install $pkgs -y && sudo apt-get upgrade -y"

juju run --application osci-master "$mkdirs"
juju run --application osci-master "$cmd"
juju run --application osci-lab "$cmd"
juju run --application osci-task "$cmd"
juju run --application osci-slave "$cmd"
