#!/bin/bash -e
echo $0

# Reboot all jenkins slaves (!!)

param=$1

if [ -z "$param" ]; then
  echo "Reboots all jenkins slaves."
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  (thisscript).sh YES"
fi

if [ "$param" == "YES" ]; then
  # Get jenkins units
  units=$(juju status --format=yaml | egrep "osci-slave/" \
    | cut -d ":" -f 1 | sed 's/^ *//')
  for unit in $units; do
    echo "rebooting ${unit}!"
    juju ssh $unit "sudo reboot"&
  done
fi

