#!/bin/bash -e
echo $0

# Shut down the jenkins master (!!)

. $(dirname $0)/../env-common

param=$1

if [ -z "$param" ]; then
  echo "Shuts down the jenkins master unit."
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  <this script> YES"
fi

if [ "$param" == "YES" ]; then
  echo "shutting down master!"
  juju ssh ${MASTER} "sudo shutdown -h now"
fi

