#!/bin/bash -e
echo $0

# look at juju enviro yamls

# Get jenkins units
units=$(juju status --format=yaml | egrep "osci[-]?(slave|lab|task)?/[0-9]{1,10}:" \
  | cut -d ":" -f 1 | sed 's/^ *//')

for unit in $units; do
  echo "${unit}:"
  juju ssh $unit "sudo cat '/var/lib/jenkins/.juju/environments.yaml'"
done


