#!/bin/bash -e
export uosci_sample_uuid="$(uuidgen)"
export checkout_dir=$(mktemp -d)

. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
f_skip_juju_foo
f_fresh_clean_start
f_env_no_pass
f_vcs_configure

chunk="$(pwgen -v 5 1)"

set -x
git clone git@github.com:openstack-dev/ci-sandbox $checkout_dir
cd $checkout_dir
git checkout -b gerrit-stream-check
echo "$uosci_sample_uuid" > gerrit-stream-check
git add gerrit-stream-check
git commit -a -m "Sandbox test ${chunk}"
git review
rm -rf $checkout_dir

