#!/usr/bin/env python3
"""
Check some commands
"""
import logging
import subprocess
import sys

# Set default logging level
logging.basicConfig(level=logging.DEBUG)


def main():
    """
    Check commands
    """
    cmds = [
        'juju version',
        'which juju',
    ]

    for cmd in cmds:
        logging.info('subprocess call: {}'.format(cmd))
        subprocess.check_call(cmd.split(' '))


if __name__ == '__main__':
    logging.info('init: {}'.format(sys.argv[0]))
    sys.exit(main())
