#!/bin/bash -e

. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
f_skip_juju_lxc
f_fresh_clean_start
f_env_no_pass
f_tool_refresh_migration_tools
f_vcs_configure

cd $UOSCI_MIG_TOOLS_ROOT/tobzr

f_line "Grab github repos"
./get-charms

f_line "Migrate github repos to bzr branches"
./import-charms

f_line "Push to LP"
./push-charms

f_nice_finish
f_check_fail
