#!/bin/bash -e
# Seed with PID.  Roll dice.  Bail on a pair.  ~16.666% probability.

RANDOM=$$

Faces="⚀
⚁
⚂
⚃
⚄
⚅"

faces=($Faces)
num_faces=${#faces[*]}

val_1=$((RANDOM%num_faces))
val_2=$((RANDOM%num_faces))

die_1=${faces[$val_1]}
die_2=${faces[$val_2]}

echo -e "\n"
echo "           ROLLING DICE           "
echo "  . . . .  /          \  . . . .  "
# echo "........../   ${die_1}    ${die_2}   \.........."
echo " ........./   $((val_1+1))    $((val_2+1))   \......... "

if [[ "$val_1" != "$val_2" ]]; then
  echo "...\           Pass.          /..."
else
  echo "...\ Rolled a pair, bot wins! /..."
  echo "               ___                "
  echo "    .      o  [*_*]  o       .    "
  echo "            \[uosci]/             "
  echo "     .       \`)bot(         .    "
  echo "              j   l               "
  echo "----------------------------------"
  echo "       \   Forcing fail.  /       "
  echo "        \     exit 1     /        "
  exit 1
fi
