#!/bin/bash -e
echo $0

# Shuts down all jenkins slaves (!!)

param=$1

if [ -z "$param" ]; then
  echo "Shuts down all jenkins slaves units."
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  <this script> YES"
fi

if [ "$param" == "YES" ]; then
  # Get jenkins units
  units=$(juju status --format=yaml | egrep "osci-slave/" \
    | cut -d ":" -f 1 | sed 's/^ *//')
  for unit in $units; do
    echo "shutting down ${unit}!"
    juju ssh $unit "sudo shutdown -h now"&
  done
fi

