#!/bin/bash -e
echo $0

# Starts all nova instances which are in a SHUTOFF state

param=$1

if [ -z "$param" ]; then
  echo "Nova starts all SHUTOFF instances."
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  <this script> YES"
fi

if [ "$param" == "YES" ]; then
  # Get jenkins units
  instances=$(nova list | grep SHUTOFF | awk '{ print $2 }')
  for instance in $instances; do
    echo "nova starting ${instance}!"
    nova start $instance
  done
fi
