#!/bin/bash -e
echo $0

# DANGEROUS!!  destroy juju environment on each slave!

jenvs="/var/lib/jenkins/.juju/environments/"

param=$1

if [ -z "$param" ]; then
  echo "Destroys juju environments, deletes instances deployed from master and slaves."
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  925-juju-destroy-all.sh YES"
fi

if [ "$param" == "YES" ]; then
  # Get jenkins units
  units=$(juju status --format=yaml | egrep "osci[-]?(slave|lab|task)?/[0-9]{1,10}:" \
    | cut -d ":" -f 1 | sed 's/^ *//')

  for unit in $units; do
    # Kill em all!
    unit_env="$(juju ssh $unit "sudo su - jenkins -c 'juju stat' || \
      echo ''" | grep 'environment:' | awk '{ print $2 }' | tr -d '\r')"

    if [ -z "$unit_env" ]; then
      echo "no environment to destroy on ${unit_env} on ${unit}."
    else
      echo "destroying environment ${unit_env} on ${unit}!!"
      juju ssh $unit "sudo su - jenkins -c 'juju destroy-environment ${unit_env} -y'"
    fi
  done
fi
