#!/bin/bash -e
echo $0

# Show memory usage of each juju unit

units=$(juju status --format=yaml | grep '":' | tr -d : | tr -d \")

for unit in $units; do
  echo "---------- unit ${unit} mem: ----------"
  juju ssh $unit "cat /proc/meminfo | egrep 'Cached|MemTotal'"
done


