#!/bin/bash -e
echo $0

# DANGEROUS!!  delete all floating IPs which don't match

param=$1

if [ -z "$param" ]; then
  echo "Delete all unassociated floating IP addressses."
  echo "Potentially dangerous, so you must confirm with YES."
  echo "Usage:  (this_script_name).sh YES"
fi


dont_delete="10\.5\."

fips="$(nova floating-ip-list |  grep -v "${dont_delete}" | grep '\.' | awk '{ print $2 }')"

for ip in ${fips}; do
    if [ "$param" == "YES" ]; then
        echo "Deleting: ${ip}!"
        nova floating-ip-delete ${ip}
    else
        echo "Dry run, would have deleted: ${ip}!"
    fi
done
