#!/bin/bash -e
echo $0

# Restart the jenkins service on all slave units

units=$(juju status --format=yaml | egrep "osci-slave/" \
    | cut -d ":" -f 1 | sed 's/^ *//')

for unit in $units; do
  echo "restarting jenkins-slave service on ${unit}!"
  juju ssh $unit "sudo service jenkins-slave restart &&\
    sudo service jenkins-slave status"
done


