#!/bin/bash -e
# Lint test runner
test="lint"

# Tox environments (targets) to attemp; First match wins.
tox_e_try[0]="pep8"
tox_e_try[1]="lint"
tox_e_try[2]="flake8"
#tox_e_try[3]=""
#tox_e_try[4]=""

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh

f_skip_juju_foo

f_fresh_clean_start
f_check_out_universal

f_tool_refresh_bot_control
f_layerci_use_built_asset_if_relevant
f_layerci_check_and_announce_asset_type

f_line "begin lint test"
f_run_make_or_tox_test
f_line "end lint test"

f_set_build_descr
f_post_mp_comment

f_nice_finish
f_check_fail
