#!/bin/bash -ue
echo $0

# Source the common functions
. ${OSCI_ROOT}/run/job-parts/osci_job_common.sh
. $HOME/novarc

f_fresh_clean_start
f_env_no_pass

f_line "Bootstrapping"
f_juju_get_pkg_info juju-pkg-info.txt
juju bootstrap 2>&1 | tee juju-bootstrap.$BUILD_NUMBER.txt
if [[ "${PIPESTATUS[0]}" != "0" ]]; then
  echo "Bootstrap failed."
  touch $WORKSPACE/fyi.bootstrap.failed
fi
f_line "End of bootstrap"

f_collect_juju_logs
f_set_build_descr
f_nice_finish
f_check_fail
