#!/bin/bash -e
# Misc post-deploy config tweaks for tempstack, presumes env vars set before exec

juju set neutron-gateway instance-mtu=1300
nova secgroup-add-rule default tcp 22 22 0.0.0.0/0
nova secgroup-add-rule default icmp -1 -1 0.0.0.0/0
nova secgroup-add-rule default udp 53 53 0.0.0.0/0
nova secgroup-add-rule default tcp 80 80 0.0.0.0/0
nova secgroup-add-rule default tcp 443 443 0.0.0.0/0
nova secgroup-add-rule default tcp 3128 3128 0.0.0.0/0
nova keypair-list | grep testkey &> /dev/null || { nova keypair-add testkey > $WORKSPACE/testkey.pem.$BUILD_NUMBER; chmod 600 $WORKSPACE/testkey.pem.$BUILD_NUMBER; }
